UITreeNodesAdaptor (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.component.UITreeNodesAdaptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITreeNodesAdaptor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.model.StackingTreeModelProvider
                  org.richfaces.component.UITreeNodesAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlTreeNodesAdaptor, UIRecursiveTreeNodesAdaptor

    public abstract class UITreeNodesAdaptor

extends org.richfaces.model.StackingTreeModelProvider

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UITreeNodesAdaptor()`

Method Summary
`protected org.richfaces.model.StackingTreeModel` | `createStackingTreeModel()`
`abstract java.lang.String` | `getVar()`
`protected boolean` | `includeNode()`
`abstract boolean` | `isIncludedNode()`
`abstract void` | `setIncludedNode(boolean includeNode)`
`abstract void` | `setVar(java.lang.String var)`

Methods inherited from class org.richfaces.model.StackingTreeModelProvider
`getData, getNodes, getStackingModel, setNodes`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UITreeNodesAdaptor

    public UITreeNodesAdaptor()

Method Detail

### getVar

    public abstract java.lang.String getVar()

### setVar

    public abstract void setVar(java.lang.String var)

### isIncludedNode

    public abstract boolean isIncludedNode()

### setIncludedNode

    public abstract void setIncludedNode(boolean includeNode)

### includeNode

    protected boolean includeNode()

### createStackingTreeModel

    protected org.richfaces.model.StackingTreeModel createStackingTreeModel()

  Specified by:
    `createStackingTreeModel` in class `org.richfaces.model.StackingTreeModelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.